Package org.apache.cxf.binding

# Interface Binding

All Superinterfaces:
  `InterceptorProvider`

public interface Binding extends InterceptorProvider
A Binding provides interceptors and message creation logic for a specific protocol binding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `createMessage()`
  Create a Message for this Binding.
  `Message`
  `createMessage(Message m)`
  Create a Message form the message.
  `BindingInfo`
  `getBindingInfo()`
  Get the BindingInfo for this binding.

  ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- ## Method Details

  - ### createMessage

    Message createMessage()
    Create a Message for this Binding.
    Returns:
      the Binding message

  - ### createMessage

    Message createMessage(Message m)
    Create a Message form the message.
    Parameters:
      `m` - the message used for creating a binding message
    Returns:
      the Binding message

  - ### getBindingInfo

    BindingInfo getBindingInfo()
    Get the BindingInfo for this binding.
    Returns:
      the BingdingInfo Object